
public static int magicNumberShiftsRook[] = {    
52,
53,53,53,53,53,53,
52,
53,
54,54,54,54,54,54,
53,53,
54,54,54,54,54,54,
53,53,
54,54,54,54,54,54,
53,53,
54,54,54,54,54,54,
53,53,
54,54,54,54,54,54,
53,53,
54,54,54,54,54,54,
53,
52,
53,53,53,53,53,53,
52
};

public static int magicNumberShiftsBishop[] = {    
58,
59,59,59,59,59,59,
58,
59,59,59,59,59,59,59,59,59,59,
57,57,57,57,
59,59,59,59,
57,
55,55,
57,
59,59,59,59,
57,
55,55,
57,
59,59,59,59,
57,57,57,57,
59,59,59,59,59,59,59,59,59,59,
58,
59,59,59,59,59,59,
58
};

